config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.pcscd.new
config etc/default/pcscd.new
( cd usr/lib64 ; rm -rf libpcsclite.so )
( cd usr/lib64 ; ln -sf libpcsclite.so.1 libpcsclite.so )
( cd usr/lib64 ; rm -rf libpcsclite_real.so )
( cd usr/lib64 ; ln -sf libpcsclite_real.so.1 libpcsclite_real.so )
( cd usr/lib64 ; rm -rf libpcscspy.so )
( cd usr/lib64 ; ln -sf libpcscspy.so.0 libpcscspy.so )
